<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EscherBSERecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EscherBSERecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherBSERecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherBoolProperty.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/EscherChildAnchorRecord.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherBSERecord.html" target="_top">Frames</a></li>
        <li><a href="EscherBSERecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ddf</div>
    <h2 title="Class EscherBSERecord" class="title">Class EscherBSERecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/ddf/EscherRecord.html" title="class in org.apache.poi.ddf">org.apache.poi.ddf.EscherRecord</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ddf.EscherBSERecord</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">EscherBSERecord</span>
extends <a href="../../../../org/apache/poi/ddf/EscherRecord.html" title="class in org.apache.poi.ddf">EscherRecord</a></pre>
                <div class="block">The BSE record is related closely to the <code>EscherBlipRecord</code> and stores
                    extra information about the blip. A blip record is actually stored inside
                    the BSE record even though the BSE record isn't actually a container record.
                </div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                           title="class in org.apache.poi.ddf"><code>EscherBlipRecord</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_DIB">BT_DIB</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_EMF">BT_EMF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_ERROR">BT_ERROR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_JPEG">BT_JPEG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_PICT">BT_PICT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_PNG">BT_PNG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_UNKNOWN">BT_UNKNOWN</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#BT_WMF">BT_WMF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#RECORD_DESCRIPTION">RECORD_DESCRIPTION</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#RECORD_ID">RECORD_ID</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#EscherBSERecord--">EscherBSERecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                       title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>
                                    <div class="block">The contract of this method is to deserialize an escher record
                                        including
                                        it's children.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected java.lang.Object[][]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getAttributeMap--">getAttributeMap</a></span>()</code>
                                    <div class="block">For the purpose of providing toString() and toXml() a subclass
                                        can either override those methods
                                        or provide a Object[][] array in the form { { "Attribute Name (Header)", value,
                                        "optional attribute", value }, ...
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                                        title="class in org.apache.poi.ddf">EscherBlipRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getBlipRecord--">getBlipRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getBlipType-byte-">getBlipType</a></span>(byte&nbsp;b)</code>
                                    <div class="block">Retrieve the string representation given a blip id.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getBlipTypeMacOS--">getBlipTypeMacOS</a></span>()</code>
                                    <div class="block">The expected blip type under MacOS (failure to match this blip
                                        type will result in
                                        Excel converting to this format).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getBlipTypeWin32--">getBlipTypeWin32</a></span>()</code>
                                    <div class="block">The expected blip type under windows (failure to match this blip
                                        type will result in
                                        Excel converting to this format).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getName--">getName</a></span>()</code>
                                    <div class="block">The length in characters of the blip name.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getOffset--">getOffset</a></span>()</code>
                                    <div class="block">File offset in the delay stream.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getRecordName--">getRecordName</a></span>()</code>
                                    <div class="block">Subclasses should return the short name for this escher record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getRecordSize--">getRecordSize</a></span>()</code>
                                    <div class="block">Subclasses should effeciently return the number of bytes required
                                        to
                                        serialize the record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getRef--">getRef</a></span>()</code>
                                    <div class="block">The reference count of this blip.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getRemainingData--">getRemainingData</a></span>()</code>
                                    <div class="block">Any remaining data in this record.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Blip size in stream.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getTag--">getTag</a></span>()</code>
                                    <div class="block">unused</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getUid--">getUid</a></span>()</code>
                                    <div class="block">16 byte MD4 checksum.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getUnused2--">getUnused2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getUnused3--">getUnused3</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#getUsage--">getUsage</a></span>()</code>
                                    <div class="block">Defines the way this blip is used.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">serialize</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data,
                                    <a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                                       title="interface in org.apache.poi.ddf">EscherSerializationListener</a>&nbsp;listener)</code>
                                    <div class="block">Serializes the record to an existing byte array.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setBlipRecord-org.apache.poi.ddf.EscherBlipRecord-">setBlipRecord</a></span>(<a
                                        href="../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                                        title="class in org.apache.poi.ddf">EscherBlipRecord</a>&nbsp;blipRecord)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setBlipTypeMacOS-byte-">setBlipTypeMacOS</a></span>(byte&nbsp;blipTypeMacOS)</code>
                                    <div class="block">Set the expected MacOS blip type</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setBlipTypeWin32-byte-">setBlipTypeWin32</a></span>(byte&nbsp;blipTypeWin32)</code>
                                    <div class="block">Set the expected win32 blip type</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setName-byte-">setName</a></span>(byte&nbsp;name)</code>
                                    <div class="block">The length in characters of the blip name.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setOffset-int-">setOffset</a></span>(int&nbsp;offset)</code>
                                    <div class="block">File offset in the delay stream.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setRef-int-">setRef</a></span>(int&nbsp;ref)</code>
                                    <div class="block">The reference count of this blip.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setRemainingData-byte:A-">setRemainingData</a></span>(byte[]&nbsp;remainingData)</code>
                                    <div class="block">Any remaining data in this record.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setSize-int-">setSize</a></span>(int&nbsp;size)</code>
                                    <div class="block">Blip size in stream.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setTag-short-">setTag</a></span>(short&nbsp;tag)</code>
                                    <div class="block">unused</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setUid-byte:A-">setUid</a></span>(byte[]&nbsp;uid)</code>
                                    <div class="block">16 byte MD4 checksum.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setUnused2-byte-">setUnused2</a></span>(byte&nbsp;unused2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setUnused3-byte-">setUnused3</a></span>(byte&nbsp;unused3)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherBSERecord.html#setUsage-byte-">setUsage</a></span>(byte&nbsp;usage)</code>
                                    <div class="block">Defines the way this blip is used.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ddf.EscherRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ddf.<a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                        title="class in org.apache.poi.ddf">EscherRecord</a></h3>
                                <code><a href="../../../../org/apache/poi/ddf/EscherRecord.html#clone--">clone</a>, <a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#display-java.io.PrintWriter-int-">display</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getChild-int-">getChild</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getInstance--">getInstance</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getOptions--">getOptions</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordId--">getRecordId</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getVersion--">getVersion</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#isContainerRecord--">isContainerRecord</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#readHeader-byte:A-int-">readHeader</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#readInstance-byte:A-int-">readInstance</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize--">serialize</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize-int-byte:A-">serialize</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setChildRecords-java.util.List-">setChildRecords</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setInstance-short-">setInstance</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setOptions-short-">setOptions</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setRecordId-short-">setRecordId</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setVersion-short-">setVersion</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#toString--">toString</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#toXml--">toXml</a>, <a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#toXml-java.lang.String-">toXml</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="RECORD_ID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECORD_ID</h4>
                                <pre>public static final&nbsp;short RECORD_ID</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.RECORD_ID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="RECORD_DESCRIPTION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECORD_DESCRIPTION</h4>
                                <pre>public static final&nbsp;java.lang.String RECORD_DESCRIPTION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.RECORD_DESCRIPTION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_ERROR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_ERROR</h4>
                                <pre>public static final&nbsp;byte BT_ERROR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_ERROR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_UNKNOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_UNKNOWN</h4>
                                <pre>public static final&nbsp;byte BT_UNKNOWN</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_UNKNOWN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_EMF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_EMF</h4>
                                <pre>public static final&nbsp;byte BT_EMF</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_EMF">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_WMF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_WMF</h4>
                                <pre>public static final&nbsp;byte BT_WMF</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_WMF">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_PICT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_PICT</h4>
                                <pre>public static final&nbsp;byte BT_PICT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_PICT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_JPEG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_JPEG</h4>
                                <pre>public static final&nbsp;byte BT_JPEG</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_JPEG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_PNG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BT_PNG</h4>
                                <pre>public static final&nbsp;byte BT_PNG</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_PNG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BT_DIB">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BT_DIB</h4>
                                <pre>public static final&nbsp;byte BT_DIB</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherBSERecord.BT_DIB">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EscherBSERecord--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EscherBSERecord</h4>
                                <pre>public&nbsp;EscherBSERecord()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>public&nbsp;int&nbsp;fillFields(byte[]&nbsp;data,
                      int&nbsp;offset,
                      <a href="../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                         title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">EscherRecord</a></code></span>
                                </div>
                                <div class="block">The contract of this method is to deserialize an escher record
                                    including
                                    it's children.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - The byte array containing the serialized escher
                                        records.
                                    </dd>
                                    <dd><code>offset</code> - The offset into the byte array.</dd>
                                    <dd><code>recordFactory</code> - A factory for creating new escher records.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of bytes written.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;int&nbsp;serialize(int&nbsp;offset,
                     byte[]&nbsp;data,
                     <a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                        title="interface in org.apache.poi.ddf">EscherSerializationListener</a>&nbsp;listener)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Serializes the record to an existing byte array.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - the offset within the byte array</dd>
                                    <dd><code>data</code> - the data array to serialize to</dd>
                                    <dd><code>listener</code> - a listener for begin and end serialization events. This
                                        is useful because the serialization is
                                        hierarchical/recursive and sometimes you need to be able
                                        break into that.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of bytes written.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordSize</h4>
                                <pre>public&nbsp;int&nbsp;getRecordSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordSize--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Subclasses should effeciently return the number of bytes required to
                                    serialize the record.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordSize--">getRecordSize</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRecordName()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordName--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Subclasses should return the short name for this escher record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordName--">getRecordName</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the short name for this escher record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBlipTypeWin32--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipTypeWin32</h4>
                                <pre>public&nbsp;byte&nbsp;getBlipTypeWin32()</pre>
                                <div class="block">The expected blip type under windows (failure to match this blip type
                                    will result in
                                    Excel converting to this format).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>win32 blip type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBlipTypeWin32-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBlipTypeWin32</h4>
                                <pre>public&nbsp;void&nbsp;setBlipTypeWin32(byte&nbsp;blipTypeWin32)</pre>
                                <div class="block">Set the expected win32 blip type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>blipTypeWin32</code> - win32 blip type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBlipTypeMacOS--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipTypeMacOS</h4>
                                <pre>public&nbsp;byte&nbsp;getBlipTypeMacOS()</pre>
                                <div class="block">The expected blip type under MacOS (failure to match this blip type
                                    will result in
                                    Excel converting to this format).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>MacOS blip type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBlipTypeMacOS-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBlipTypeMacOS</h4>
                                <pre>public&nbsp;void&nbsp;setBlipTypeMacOS(byte&nbsp;blipTypeMacOS)</pre>
                                <div class="block">Set the expected MacOS blip type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>blipTypeMacOS</code> - MacOS blip type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUid</h4>
                                <pre>public&nbsp;byte[]&nbsp;getUid()</pre>
                                <div class="block">16 byte MD4 checksum.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>16 byte MD4 checksum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUid-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUid</h4>
                                <pre>public&nbsp;void&nbsp;setUid(byte[]&nbsp;uid)</pre>
                                <div class="block">16 byte MD4 checksum.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>uid</code> - 16 byte MD4 checksum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTag</h4>
                                <pre>public&nbsp;short&nbsp;getTag()</pre>
                                <div class="block">unused</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an unknown tag</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTag-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTag</h4>
                                <pre>public&nbsp;void&nbsp;setTag(short&nbsp;tag)</pre>
                                <div class="block">unused</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tag</code> - unknown tag</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Blip size in stream.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the blip size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSize</h4>
                                <pre>public&nbsp;void&nbsp;setSize(int&nbsp;size)</pre>
                                <div class="block">Blip size in stream.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>size</code> - blip size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRef--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRef</h4>
                                <pre>public&nbsp;int&nbsp;getRef()</pre>
                                <div class="block">The reference count of this blip.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the reference count</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRef-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRef</h4>
                                <pre>public&nbsp;void&nbsp;setRef(int&nbsp;ref)</pre>
                                <div class="block">The reference count of this blip.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ref</code> - the reference count</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOffset</h4>
                                <pre>public&nbsp;int&nbsp;getOffset()</pre>
                                <div class="block">File offset in the delay stream.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the file offset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOffset-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOffset</h4>
                                <pre>public&nbsp;void&nbsp;setOffset(int&nbsp;offset)</pre>
                                <div class="block">File offset in the delay stream.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - the file offset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUsage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUsage</h4>
                                <pre>public&nbsp;byte&nbsp;getUsage()</pre>
                                <div class="block">Defines the way this blip is used.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the blip usage</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUsage-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUsage</h4>
                                <pre>public&nbsp;void&nbsp;setUsage(byte&nbsp;usage)</pre>
                                <div class="block">Defines the way this blip is used.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>usage</code> - the blip usae</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;byte&nbsp;getName()</pre>
                                <div class="block">The length in characters of the blip name.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the blip name length</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setName-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setName</h4>
                                <pre>public&nbsp;void&nbsp;setName(byte&nbsp;name)</pre>
                                <div class="block">The length in characters of the blip name.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the blip name length</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUnused2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnused2</h4>
                                <pre>public&nbsp;byte&nbsp;getUnused2()</pre>
                            </li>
                        </ul>
                        <a name="setUnused2-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnused2</h4>
                                <pre>public&nbsp;void&nbsp;setUnused2(byte&nbsp;unused2)</pre>
                            </li>
                        </ul>
                        <a name="getUnused3--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnused3</h4>
                                <pre>public&nbsp;byte&nbsp;getUnused3()</pre>
                            </li>
                        </ul>
                        <a name="setUnused3-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnused3</h4>
                                <pre>public&nbsp;void&nbsp;setUnused3(byte&nbsp;unused3)</pre>
                            </li>
                        </ul>
                        <a name="getBlipRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipRecord</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                                                    title="class in org.apache.poi.ddf">EscherBlipRecord</a>&nbsp;getBlipRecord()</pre>
                            </li>
                        </ul>
                        <a name="setBlipRecord-org.apache.poi.ddf.EscherBlipRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBlipRecord</h4>
                                <pre>public&nbsp;void&nbsp;setBlipRecord(<a
                                        href="../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                                        title="class in org.apache.poi.ddf">EscherBlipRecord</a>&nbsp;blipRecord)</pre>
                            </li>
                        </ul>
                        <a name="getRemainingData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRemainingData</h4>
                                <pre>public&nbsp;byte[]&nbsp;getRemainingData()</pre>
                                <div class="block">Any remaining data in this record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the remaining bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRemainingData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRemainingData</h4>
                                <pre>public&nbsp;void&nbsp;setRemainingData(byte[]&nbsp;remainingData)</pre>
                                <div class="block">Any remaining data in this record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>remainingData</code> - the remaining bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBlipType-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipType</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getBlipType(byte&nbsp;b)</pre>
                                <div class="block">Retrieve the string representation given a blip id.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>b</code> - the blip type byte-encoded</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the blip type as string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttributeMap--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAttributeMap</h4>
                                <pre>protected&nbsp;java.lang.Object[][]&nbsp;getAttributeMap()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#getAttributeMap--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">For the purpose of providing toString() and toXml() a subclass can
                                    either override those methods
                                    or provide a Object[][] array in the form <code>{ { "Attribute Name (Header)",
                                        value, "optional attribute", value }, ... } </code>.<p>

                                        Null values won't be printed.
                                    <p>

                                        The attributes record, version, instance, options must not be returned.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#getAttributeMap--">getAttributeMap</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attribute map</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherBSERecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherBoolProperty.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/EscherChildAnchorRecord.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherBSERecord.html" target="_top">Frames</a></li>
        <li><a href="EscherBSERecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
